tigase.jaxmpp.core.client.xmpp.modules.omemo

## Interface OMEMOSessionsProvider

- All Known Subinterfaces:
    JaXMPPSignalProtocolStore

      public interface OMEMOSessionsProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmppOMEMOSession` | `getSession(BareJID jid)`
    `boolean` | `isOMEMORequired(BareJID jid)`
    `void` | `removeSession(XmppOMEMOSession session)`
    `void` | `setOMEMORequired(BareJID jid, boolean required)`
    `void` | `storeSession(XmppOMEMOSession session)`

- - ### Method Detail

    - #### getSession

          XmppOMEMOSession getSession(BareJID jid)

    - #### storeSession

          void storeSession(XmppOMEMOSession session)

    - #### removeSession

          void removeSession(XmppOMEMOSession session)

    - #### isOMEMORequired

          boolean isOMEMORequired(BareJID jid)

    - #### setOMEMORequired

          void setOMEMORequired(BareJID jid,
                                boolean required)

Copyright © 2006–2020 Tigase. All rights reserved.